Get Webhook

Get a specific Webhook instance

Required scope: sites:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

webhook_idstringRequiredformat: "objectid"
Unique identifier for a Webhook

Response

Request was successful
idstringRead-onlyformat: "objectid"
Unique identifier for the Webhook registration
triggerTypeenum

The type of event that triggered the request. See the the documentation for details on supported events.

urlstring
URL to send the Webhook payload to
workspaceIdstringRead-onlyformat: "objectid"
Unique identifier for the Workspace the Webhook is registered in
siteIdstringRead-onlyformat: "objectid"
Unique identifier for the Site the Webhook is registered in
filterobject

Only supported for the form_submission trigger type. Filter for the form you want Webhooks to be sent for.

lastTriggeredstringRead-onlyformat: "date-time"
Date the Webhook instance was last triggered
createdOnstringRead-onlyformat: "date-time"
Date the Webhook registration was created

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error